package com.bonus.sgzb.material.vo;

import com.bonus.sgzb.material.domain.BmNoticeInfo;

import java.util.List;

/**
 * @Author 阮世耀
 * @Create 2023/12/13 15:45
 * @Version 1.0
 */
public class NoticeInfoVO {

    /**
     * 任务主键id
     */
    private Long taskId;

    /**
     * 通知内容
     */
    private String message;

    /**
     * 短信通知对象
     */
    private List<BmNoticeInfo> bmNoticeInfoList;

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<BmNoticeInfo> getBmNoticeInfoList() {
        return bmNoticeInfoList;
    }

    public void setBmNoticeInfoList(List<BmNoticeInfo> bmNoticeInfoList) {
        this.bmNoticeInfoList = bmNoticeInfoList;
    }

    @Override
    public String toString() {
        return "NoticeInfoVO{" +
                "taskId=" + taskId +
                ", message='" + message + '\'' +
                ", bmNoticeInfoList=" + bmNoticeInfoList +
                '}';
    }
}
